Overview | Modules | Class Hierarchy | Classes | Members

# tlp::PlanarityTest Class Reference
[Graph_test]

`#include <PlanarityTest.h>`

Inherits tlp::GraphObserver.

Inheritance diagram for tlp::PlanarityTest:

[legend]
Collaboration diagram for tlp::PlanarityTest:

[legend]
List of all members.

## Detailed Description

class for testing the planarity of a graph

## Static Public Member Functions

- static bool isPlanar (Graph *graph)
- static bool planarEmbedding (Graph *graph)
- static std::list< edge > getObstructionsEdges (Graph *graph)

## Member Function Documentation

static std::list<edge> tlp::PlanarityTest::getObstructionsEdges | ( | Graph * | graph | ) | `[static]`

static bool tlp::PlanarityTest::isPlanar | ( | Graph * | graph | ) | `[static]`

static bool tlp::PlanarityTest::planarEmbedding | ( | Graph * | graph | ) | `[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2010